Rygel.DLNAProfile – librygel-core Reference Manual

# DLNAProfile

## Object Hierarchy:

## Description:

public class DLNAProfile

Data class representing a DLNA profile. It contains the name and the corresponding DLNA mime type.

Note:

The mime type can deviate from mime types typically used elsewhere.

Namespace: Rygel
Package: librygel-core

## Content:

### Static methods:

- public static int compare_by_name (DLNAProfile a, DLNAProfile b)
  Compare two DLNA profiles by name

### Creation methods:

- public DLNAProfile (string name, string mime)

### Fields:

- public string mime
- public string name